View Issue Details

IDProjectCategoryView StatusLast Update
0001926Part[FreeCAD] Bugpublic2019-09-01 19:35
Reporterwvmarle Assigned Toshoogen  
PrioritynormalSeveritycrashReproducibilityalways
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0001926: Crash when creating sweep (fix pending on the upstream release of OCC 7.5)
DescriptionCrash when creating a sweep.
Steps To ReproduceParts toolbox, select Sweep tool
Add Wire, Wire001, Wire002 for the sweep
Select the ellipse for sweep path
Create the sweep: crash

Probably I'm doing something illegal here by having the ellipse extend a little beyond the Wire and Wire002, but nevertheless it shouldn't crash.

Making it a complete ellipse solves the problem, it only crashes when the ellipse is an arc.
Additional InformationOS: Linux Mint 17 Qiana
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4484 (Git)
Branch: master
Hash: f72c802f5daa378298ffbfc3f3a17ec2d35c1816
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1
TagsOCC 7.5, OCC Bug, sweep, upstream
FreeCAD Information

Relationships

related to 0001419 closedwmayer FreeCAD FreeCAD crash on sweep/loft 

Activities

wvmarle

2015-01-17 14:47

reporter  

sweep crash.fcstd (Attachment missing)

cox

2015-01-17 15:25

reporter   ~0005668

Last edited: 2015-01-17 16:27

View 3 revisions

EDIT -Disregard this comment. I can reproduce

http://forum.freecadweb.org/viewtopic.php?f=3&t=9358#p75957

OS: "Arch Linux"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4495 (Git)
Branch: master
Hash: 1f44226882071790a86a16f86bfacda0e7a5a880
Python version: 2.7.9
Qt version: 4.8.6
Coin version: 3.1.3
OCC version: 6.7.1

shoogen

2015-01-17 16:12

developer   ~0005670

I created an example for DRAWEXE from the attached file and uploaded it as sweep-arc2.zip to http://tracker.dev.opencascade.org/view.php?id=24909

shoogen

2015-04-09 21:10

developer   ~0005985

test http://forum.freecadweb.org/viewtopic.php?f=3&t=10445&p=84239#p84161 before closing the ticket.

Kunda1

2017-01-11 11:55

administrator   ~0007622

Last edited: 2017-01-11 11:59

View 2 revisions

Upstream ticket was bumped to OCC 7.2 roadmap.

Edit: tagged as 'upstream' and 'OCC 7.2' to indicate that this issue should be re-examined when 7.2 is released

Kunda1

2017-08-21 11:04

administrator   ~0009975

Upstream ticket was was bumped to OCC 7.2.1 roadmap. Tagged ticket "OCC 7.2.1"

Kunda1

2018-03-03 10:52

administrator   ~0010990

Upstream ticket was was bumped to OCC 7.4 roadmap. Notated in OCC bugtracker list: https://forum.freecadweb.org/viewtopic.php?f=10&t=20264

Kunda1

2019-09-01 19:35

administrator   ~0013512

Upstream ticket was was bumped to OCC 7.5 roadmap.
Tagged this ticket OCC7.5
Notated in OCC bugtracker list: https://forum.freecadweb.org/viewtopic.php?f=10&t=20264

Issue History

Date Modified Username Field Change
2015-01-17 14:47 wvmarle New Issue
2015-01-17 14:47 wvmarle File Added: sweep crash.fcstd
2015-01-17 15:08 shoogen Assigned To => shoogen
2015-01-17 15:08 shoogen Status new => acknowledged
2015-01-17 15:13 shoogen Relationship added related to 0001419
2015-01-17 15:25 cox Note Added: 0005668
2015-01-17 16:12 shoogen Note Added: 0005670
2015-01-17 16:18 cox Note Edited: 0005668 View Revisions
2015-01-17 16:27 shoogen Note Edited: 0005668 View Revisions
2015-01-17 16:30 shoogen Tag Attached: OCC Bug
2015-01-24 13:08 shoogen Relationship added parent of 0001931
2015-04-09 21:10 shoogen Note Added: 0005985
2017-01-11 11:55 Kunda1 Note Added: 0007622
2017-01-11 11:55 Kunda1 Tag Attached: upstream
2017-01-11 11:56 Kunda1 Tag Attached: OCC 7.2
2017-01-11 11:59 Kunda1 Note Edited: 0007622 View Revisions
2017-02-17 13:53 Kunda1 Tag Attached: sweep
2017-08-21 11:02 Kunda1 Tag Detached: OCC 7.2
2017-08-21 11:03 Kunda1 Tag Attached: OCC 7.2.1
2017-08-21 11:04 Kunda1 Note Added: 0009975
2017-08-21 11:05 Kunda1 Summary Crash when creating sweep => Crash when creating sweep (pending on the release of OCC 7.2.1)
2017-08-21 11:06 Kunda1 Summary Crash when creating sweep (pending on the release of OCC 7.2.1) => Crash when creating sweep (fix pending on the upstream release of OCC 7.2.1)
2017-08-22 11:40 Kunda1 Relationship deleted parent of 0001931
2017-10-18 11:22 wmayer Project FreeCAD => Part
2017-12-06 22:58 Kunda1 Tag Detached: OCC 7.2.1
2017-12-06 23:00 Kunda1 Tag Attached: OCC 7.3
2017-12-06 23:00 Kunda1 Summary Crash when creating sweep (fix pending on the upstream release of OCC 7.2.1) => Crash when creating sweep (fix pending on the upstream release of OCC 7.3)
2018-03-03 10:51 Kunda1 Tag Attached: OCC 7.4
2018-03-03 10:51 Kunda1 Tag Detached: OCC 7.3
2018-03-03 10:52 Kunda1 Note Added: 0010990
2018-03-03 10:53 Kunda1 Summary Crash when creating sweep (fix pending on the upstream release of OCC 7.3) => Crash when creating sweep (fix pending on the upstream release of OCC 7.4)
2019-09-01 19:34 Kunda1 Tag Detached: OCC 7.4
2019-09-01 19:34 Kunda1 Tag Attached: OCC 7.5
2019-09-01 19:35 Kunda1 Summary Crash when creating sweep (fix pending on the upstream release of OCC 7.4) => Crash when creating sweep (fix pending on the upstream release of OCC 7.5)
2019-09-01 19:35 Kunda1 Note Added: 0013512